
__name = ""
__version = ""

def setVersion(major, minor, patch):
    global __version
    __version = f"{major}.{minor}.{patch}"
    print("NEEDLE BLENDER ADDON VERSION: " + __version)
    pass

def getVersion():
    global __version
    return __version
    


def setName(name:str):
    global __name
    __name = name
    pass

def getName():
    global __name
    return __name